PKIXCRLStoreSelector (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.jcajce

## Class PKIXCRLStoreSelector<T extends java.security.cert.CRL>

- java.lang.Object
- - org.bouncycastle.jcajce.PKIXCRLStoreSelector<T>

- All Implemented Interfaces:
    java.lang.Cloneable, Selector<T>

      public class PKIXCRLStoreSelector<T extends java.security.cert.CRL>
      extends java.lang.Object
      implements Selector<T>

  This class is a Selector implementation for X.509 certificate revocation lists.
  See Also:
    `Selector`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PKIXCRLStoreSelector.Builder`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.security.cert.X509Certificate` | `getCertificateChecking()`
    `static java.util.Collection<? extends java.security.cert.CRL>` | `getCRLs(PKIXCRLStoreSelector selector, java.security.cert.CertStore certStore)`
    `byte[]` | `getIssuingDistributionPoint()` Returns the issuing distribution point.
    `java.math.BigInteger` | `getMaxBaseCRLNumber()` Get the maximum base CRL number.
    `boolean` | `isCompleteCRLEnabled()` If `true` only complete CRLs are returned.
    `boolean` | `isDeltaCRLIndicatorEnabled()` Returns if this selector must match CRLs with the delta CRL indicator extension set.
    `boolean` | `isIssuingDistributionPointEnabled()` Returns if the issuing distribution point criteria should be applied.
    `boolean` | `match(java.security.cert.CRL obj)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isIssuingDistributionPointEnabled

          public boolean isIssuingDistributionPointEnabled()

      Returns if the issuing distribution point criteria should be applied. Defaults to `false`.

      You may also set the issuing distribution point criteria if not a missing issuing distribution point should be assumed.

      Returns:
        Returns if the issuing distribution point check is enabled.

    - #### match

          public boolean match(java.security.cert.CRL obj)

      Specified by:
        `match` in interface `Selector<T extends java.security.cert.CRL>`

    - #### isDeltaCRLIndicatorEnabled

          public boolean isDeltaCRLIndicatorEnabled()

      Returns if this selector must match CRLs with the delta CRL indicator extension set. Defaults to `false`.
      Returns:
        Returns `true` if only CRLs with the delta CRL indicator extension are selected.

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `Selector<T extends java.security.cert.CRL>`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### isCompleteCRLEnabled

          public boolean isCompleteCRLEnabled()

      If `true` only complete CRLs are returned. Defaults to `false`.
      Returns:
        `true` if only complete CRLs are returned.

    - #### getMaxBaseCRLNumber

          public java.math.BigInteger getMaxBaseCRLNumber()

      Get the maximum base CRL number. Defaults to `null`.
      Returns:
        Returns the maximum base CRL number.

    - #### getIssuingDistributionPoint

          public byte[] getIssuingDistributionPoint()

      Returns the issuing distribution point. Defaults to `null`, which is a missing issuing distribution point extension.

      The internal byte array is cloned before it is returned.

      The criteria must be enable with Builder.setIssuingDistributionPointEnabled(boolean)}.

      Returns:
        Returns the issuing distribution point.

    - #### getCertificateChecking

          public java.security.cert.X509Certificate getCertificateChecking()

    - #### getCRLs

          public static java.util.Collection<? extends java.security.cert.CRL> getCRLs(PKIXCRLStoreSelector selector,
                                                                       java.security.cert.CertStore certStore)
                                                                                throws java.security.cert.CertStoreException

      Throws:
        `java.security.cert.CertStoreException`